USN-5442-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5442-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5442-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5442-1
Related
Published
2022-05-24T19:40:52Z
Modified
2022-05-24T19:40:52Z
Summary
linux, linux-aws, linux-aws-5.4, linux-azure, linux-azure-5.4, linux-azure-fde, linux-gcp, linux-gke, linux-gke-5.4, linux-hwe-5.4, linux-ibm, linux-kvm vulnerabilities
Details

Kyle Zeng discovered that the Network Queuing and Scheduling subsystem of the Linux kernel did not properly perform reference counting in some situations, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or execute arbitrary code. (CVE-2022-29581)

Bing-Jhong Billy Jheng discovered that the io_uring subsystem in the Linux kernel contained in integer overflow. A local attacker could use this to cause a denial of service (system crash) or execute arbitrary code. (CVE-2022-1116)

Jann Horn discovered that the Linux kernel did not properly enforce seccomp restrictions in some situations. A local attacker could use this to bypass intended seccomp sandbox restrictions. (CVE-2022-30594)

References

Affected packages

Ubuntu:20.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1080.83

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-unsigned-5.4.0-1080-azure": "5.4.0-1080.83",
            "linux-cloud-tools-5.4.0-1080-azure": "5.4.0-1080.83",
            "linux-azure-cloud-tools-5.4.0-1080": "5.4.0-1080.83",
            "linux-image-5.4.0-1080-azure": "5.4.0-1080.83",
            "linux-tools-azure-lts-20.04": "5.4.0.1080.79",
            "linux-azure-tools-5.4.0-1080": "5.4.0-1080.83",
            "linux-modules-extra-azure-lts-20.04": "5.4.0.1080.79",
            "linux-modules-extra-5.4.0-1080-azure": "5.4.0-1080.83",
            "linux-buildinfo-5.4.0-1080-azure": "5.4.0-1080.83",
            "linux-modules-5.4.0-1080-azure": "5.4.0-1080.83",
            "linux-cloud-tools-azure-lts-20.04": "5.4.0.1080.79",
            "linux-headers-5.4.0-1080-azure": "5.4.0-1080.83",
            "linux-headers-azure-lts-20.04": "5.4.0.1080.79",
            "linux-tools-5.4.0-1080-azure": "5.4.0-1080.83",
            "linux-image-azure-lts-20.04": "5.4.0.1080.79",
            "linux-azure-lts-20.04": "5.4.0.1080.79",
            "linux-azure-headers-5.4.0-1080": "5.4.0-1080.83"
        }
    ]
}

Ubuntu:20.04:LTS / linux-azure-fde

Package

Name
linux-azure-fde

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1080.83+cvm1.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-extra-azure-fde": "5.4.0.1080.83+cvm1.23",
            "linux-image-unsigned-5.4.0-1080-azure-fde": "5.4.0-1080.83+cvm1.1",
            "linux-headers-azure-fde": "5.4.0.1080.83+cvm1.23",
            "linux-image-azure-fde": "5.4.0.1080.83+cvm1.23",
            "linux-azure-fde": "5.4.0.1080.83+cvm1.23",
            "linux-tools-azure-fde": "5.4.0.1080.83+cvm1.23",
            "linux-image-5.4.0-1080-azure-fde": "5.4.0-1080.83+cvm1.1",
            "linux-cloud-tools-azure-fde": "5.4.0.1080.83+cvm1.23"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gke

Package

Name
linux-gke

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1072.77

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-1072-gke": "5.4.0-1072.77",
            "linux-headers-gke": "5.4.0.1072.81",
            "linux-modules-extra-5.4.0-1072-gke": "5.4.0-1072.77",
            "linux-modules-5.4.0-1072-gke": "5.4.0-1072.77",
            "linux-tools-gke-5.4": "5.4.0.1072.81",
            "linux-gke-tools-5.4.0-1072": "5.4.0-1072.77",
            "linux-tools-5.4.0-1072-gke": "5.4.0-1072.77",
            "linux-headers-5.4.0-1072-gke": "5.4.0-1072.77",
            "linux-gke": "5.4.0.1072.81",
            "linux-image-5.4.0-1072-gke": "5.4.0-1072.77",
            "linux-gke-5.4": "5.4.0.1072.81",
            "linux-headers-gke-5.4": "5.4.0.1072.81",
            "linux-image-unsigned-5.4.0-1072-gke": "5.4.0-1072.77",
            "linux-gke-headers-5.4.0-1072": "5.4.0-1072.77",
            "linux-modules-extra-gke-5.4": "5.4.0.1072.81",
            "linux-modules-extra-gke": "5.4.0.1072.81",
            "linux-image-gke": "5.4.0.1072.81",
            "linux-image-gke-5.4": "5.4.0.1072.81",
            "linux-tools-gke": "5.4.0.1072.81"
        }
    ]
}

Ubuntu:20.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1065.68

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-kvm": "5.4.0.1065.64",
            "linux-kvm-tools-5.4.0-1065": "5.4.0-1065.68",
            "linux-kvm": "5.4.0.1065.64",
            "linux-modules-5.4.0-1065-kvm": "5.4.0-1065.68",
            "linux-headers-5.4.0-1065-kvm": "5.4.0-1065.68",
            "linux-image-5.4.0-1065-kvm": "5.4.0-1065.68",
            "linux-tools-kvm": "5.4.0.1065.64",
            "linux-kvm-headers-5.4.0-1065": "5.4.0-1065.68",
            "linux-tools-5.4.0-1065-kvm": "5.4.0-1065.68",
            "linux-buildinfo-5.4.0-1065-kvm": "5.4.0-1065.68",
            "linux-image-kvm": "5.4.0.1065.64",
            "linux-image-unsigned-5.4.0-1065-kvm": "5.4.0-1065.68"
        }
    ]
}

Ubuntu:20.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1075.80

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-1075-aws": "5.4.0-1075.80",
            "linux-cloud-tools-5.4.0-1075-aws": "5.4.0-1075.80",
            "linux-aws-cloud-tools-5.4.0-1075": "5.4.0-1075.80",
            "linux-tools-5.4.0-1075-aws": "5.4.0-1075.80",
            "linux-modules-extra-5.4.0-1075-aws": "5.4.0-1075.80",
            "linux-image-5.4.0-1075-aws": "5.4.0-1075.80",
            "linux-modules-extra-aws-lts-20.04": "5.4.0.1075.77",
            "linux-headers-5.4.0-1075-aws": "5.4.0-1075.80",
            "linux-tools-aws-lts-20.04": "5.4.0.1075.77",
            "linux-aws-lts-20.04": "5.4.0.1075.77",
            "linux-headers-aws-lts-20.04": "5.4.0.1075.77",
            "linux-aws-headers-5.4.0-1075": "5.4.0-1075.80",
            "linux-aws-tools-5.4.0-1075": "5.4.0-1075.80",
            "linux-modules-5.4.0-1075-aws": "5.4.0-1075.80",
            "linux-image-aws-lts-20.04": "5.4.0.1075.77",
            "linux-image-unsigned-5.4.0-1075-aws": "5.4.0-1075.80"
        }
    ]
}

Ubuntu:20.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-113.127

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-113-generic": "5.4.0-113.127",
            "linux-headers-oem": "5.4.0.113.117",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.113.117",
            "linux-buildinfo-5.4.0-113-lowlatency": "5.4.0-113.127",
            "linux-image-5.4.0-113-generic": "5.4.0-113.127",
            "linux-lowlatency-hwe-18.04": "5.4.0.113.117",
            "linux-image-5.4.0-113-lowlatency": "5.4.0-113.127",
            "linux-generic-hwe-18.04": "5.4.0.113.117",
            "linux-cloud-tools-virtual": "5.4.0.113.117",
            "linux-tools-generic-lpae-hwe-18.04": "5.4.0.113.117",
            "linux-cloud-tools-lowlatency": "5.4.0.113.117",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.113.117",
            "linux-headers-5.4.0-113": "5.4.0-113.127",
            "linux-headers-generic-hwe-18.04": "5.4.0.113.117",
            "linux-generic-lpae-hwe-18.04": "5.4.0.113.117",
            "linux-generic-lpae-hwe-18.04-edge": "5.4.0.113.117",
            "linux-tools-virtual": "5.4.0.113.117",
            "linux-oem-osp1-tools-host": "5.4.0.113.117",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.113.117",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.113.117",
            "linux-image-unsigned-5.4.0-113-generic": "5.4.0-113.127",
            "linux-source": "5.4.0.113.117",
            "linux-image-extra-virtual": "5.4.0.113.117",
            "linux-oem": "5.4.0.113.117",
            "linux-cloud-tools-generic": "5.4.0.113.117",
            "linux-tools-generic": "5.4.0.113.117",
            "linux-image-virtual": "5.4.0.113.117",
            "linux-generic-lpae": "5.4.0.113.117",
            "linux-virtual": "5.4.0.113.117",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.113.117",
            "linux-modules-extra-5.4.0-113-generic": "5.4.0-113.127",
            "linux-modules-5.4.0-113-generic-lpae": "5.4.0-113.127",
            "linux-headers-5.4.0-113-generic-lpae": "5.4.0-113.127",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.113.117",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.113.117",
            "linux-crashdump": "5.4.0.113.117",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.113.117",
            "linux-generic": "5.4.0.113.117",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.113.117",
            "linux-tools-5.4.0-113": "5.4.0-113.127",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.113.117",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.113.117",
            "linux-tools-5.4.0-113-generic": "5.4.0-113.127",
            "linux-generic-hwe-18.04-edge": "5.4.0.113.117",
            "linux-headers-generic-lpae": "5.4.0.113.117",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.113.117",
            "linux-image-generic-lpae": "5.4.0.113.117",
            "linux-modules-5.4.0-113-generic": "5.4.0-113.127",
            "linux-headers-5.4.0-113-generic": "5.4.0-113.127",
            "linux-tools-lowlatency": "5.4.0.113.117",
            "linux-headers-oem-osp1": "5.4.0.113.117",
            "linux-cloud-tools-common": "5.4.0-113.127",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.113.117",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.113.117",
            "linux-image-5.4.0-113-generic-lpae": "5.4.0-113.127",
            "linux-libc-dev": "5.4.0-113.127",
            "linux-source-5.4.0": "5.4.0-113.127",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.113.117",
            "linux-headers-generic-lpae-hwe-18.04": "5.4.0.113.117",
            "linux-doc": "5.4.0-113.127",
            "linux-headers-virtual-hwe-18.04": "5.4.0.113.117",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.113.117",
            "linux-tools-oem-osp1": "5.4.0.113.117",
            "linux-oem-osp1": "5.4.0.113.117",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.113.117",
            "linux-image-unsigned-5.4.0-113-lowlatency": "5.4.0-113.127",
            "linux-headers-generic": "5.4.0.113.117",
            "linux-headers-5.4.0-113-lowlatency": "5.4.0-113.127",
            "linux-headers-lowlatency": "5.4.0.113.117",
            "linux-oem-tools-host": "5.4.0.113.117",
            "linux-tools-generic-lpae-hwe-18.04-edge": "5.4.0.113.117",
            "linux-cloud-tools-5.4.0-113-lowlatency": "5.4.0-113.127",
            "linux-headers-virtual": "5.4.0.113.117",
            "linux-virtual-hwe-18.04": "5.4.0.113.117",
            "linux-image-oem": "5.4.0.113.117",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.113.117",
            "linux-image-lowlatency": "5.4.0.113.117",
            "linux-tools-oem": "5.4.0.113.117",
            "linux-tools-host": "5.4.0-113.127",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.113.117",
            "linux-virtual-hwe-18.04-edge": "5.4.0.113.117",
            "linux-tools-5.4.0-113-lowlatency": "5.4.0-113.127",
            "linux-image-generic-hwe-18.04": "5.4.0.113.117",
            "linux-modules-5.4.0-113-lowlatency": "5.4.0-113.127",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.113.117",
            "linux-image-virtual-hwe-18.04": "5.4.0.113.117",
            "linux-tools-generic-lpae": "5.4.0.113.117",
            "linux-image-oem-osp1": "5.4.0.113.117",
            "linux-tools-virtual-hwe-18.04": "5.4.0.113.117",
            "linux-tools-5.4.0-113-generic-lpae": "5.4.0-113.127",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.113.117",
            "linux-headers-generic-lpae-hwe-18.04-edge": "5.4.0.113.117",
            "linux-cloud-tools-5.4.0-113-generic": "5.4.0-113.127",
            "linux-cloud-tools-5.4.0-113": "5.4.0-113.127",
            "linux-tools-common": "5.4.0-113.127",
            "linux-buildinfo-5.4.0-113-generic-lpae": "5.4.0-113.127",
            "linux-lowlatency": "5.4.0.113.117",
            "linux-image-generic": "5.4.0.113.117",
            "linux-tools-generic-hwe-18.04": "5.4.0.113.117",
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.113.117",
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.113.117"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1075.80

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-5.4.0-1075-gcp": "5.4.0-1075.80",
            "linux-image-unsigned-5.4.0-1075-gcp": "5.4.0-1075.80",
            "linux-modules-extra-gcp-lts-20.04": "5.4.0.1075.83",
            "linux-image-gcp-lts-20.04": "5.4.0.1075.83",
            "linux-tools-gcp-lts-20.04": "5.4.0.1075.83",
            "linux-buildinfo-5.4.0-1075-gcp": "5.4.0-1075.80",
            "linux-headers-5.4.0-1075-gcp": "5.4.0-1075.80",
            "linux-modules-5.4.0-1075-gcp": "5.4.0-1075.80",
            "linux-gcp-headers-5.4.0-1075": "5.4.0-1075.80",
            "linux-modules-extra-5.4.0-1075-gcp": "5.4.0-1075.80",
            "linux-image-5.4.0-1075-gcp": "5.4.0-1075.80",
            "linux-headers-gcp-lts-20.04": "5.4.0.1075.83",
            "linux-gcp-lts-20.04": "5.4.0.1075.83",
            "linux-gcp-tools-5.4.0-1075": "5.4.0-1075.80"
        }
    ]
}

Ubuntu:20.04:LTS / linux-ibm

Package

Name
linux-ibm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1023.25

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-1023-ibm": "5.4.0-1023.25",
            "linux-headers-ibm-lts-20.04": "5.4.0.1023.22",
            "linux-tools-ibm-lts-20.04": "5.4.0.1023.22",
            "linux-modules-5.4.0-1023-ibm": "5.4.0-1023.25",
            "linux-modules-extra-ibm": "5.4.0.1023.22",
            "linux-ibm-headers-5.4.0-1023": "5.4.0-1023.25",
            "linux-image-unsigned-5.4.0-1023-ibm": "5.4.0-1023.25",
            "linux-headers-5.4.0-1023-ibm": "5.4.0-1023.25",
            "linux-modules-extra-5.4.0-1023-ibm": "5.4.0-1023.25",
            "linux-ibm-lts-20.04": "5.4.0.1023.22",
            "linux-tools-ibm": "5.4.0.1023.22",
            "linux-ibm-tools-common": "5.4.0-1023.25",
            "linux-headers-ibm": "5.4.0.1023.22",
            "linux-ibm": "5.4.0.1023.22",
            "linux-modules-extra-ibm-lts-20.04": "5.4.0.1023.22",
            "linux-image-ibm-lts-20.04": "5.4.0.1023.22",
            "linux-ibm-tools-5.4.0-1023": "5.4.0-1023.25",
            "linux-image-5.4.0-1023-ibm": "5.4.0-1023.25",
            "linux-image-ibm": "5.4.0.1023.22",
            "linux-ibm-source-5.4.0": "5.4.0-1023.25",
            "linux-ibm-cloud-tools-common": "5.4.0-1023.25",
            "linux-tools-5.4.0-1023-ibm": "5.4.0-1023.25"
        }
    ]
}

Ubuntu:18.04:LTS / linux-hwe-5.4

Package

Name
linux-hwe-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-113.127~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-113-generic": "5.4.0-113.127~18.04.1",
            "linux-headers-oem": "5.4.0.113.127~18.04.97",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-headers-snapdragon-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-image-5.4.0-113-generic": "5.4.0-113.127~18.04.1",
            "linux-lowlatency-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-image-5.4.0-113-lowlatency": "5.4.0-113.127~18.04.1",
            "linux-image-snapdragon-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-buildinfo-5.4.0-113-lowlatency": "5.4.0-113.127~18.04.1",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-tools-generic-lpae-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-snapdragon-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-snapdragon-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-tools-snapdragon-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-headers-generic-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-generic-lpae-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-generic-lpae-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-generic-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-image-unsigned-5.4.0-113-generic": "5.4.0-113.127~18.04.1",
            "linux-oem": "5.4.0.113.127~18.04.97",
            "linux-hwe-5.4-tools-5.4.0-113": "5.4.0-113.127~18.04.1",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-modules-extra-5.4.0-113-generic": "5.4.0-113.127~18.04.1",
            "linux-modules-5.4.0-113-generic-lpae": "5.4.0-113.127~18.04.1",
            "linux-headers-5.4.0-113-generic-lpae": "5.4.0-113.127~18.04.1",
            "linux-hwe-5.4-cloud-tools-common": "5.4.0-113.127~18.04.1",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-hwe-5.4-cloud-tools-5.4.0-113": "5.4.0-113.127~18.04.1",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-modules-extra-virtual-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-tools-5.4.0-113-generic": "5.4.0-113.127~18.04.1",
            "linux-generic-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-modules-5.4.0-113-generic": "5.4.0-113.127~18.04.1",
            "linux-headers-5.4.0-113-generic": "5.4.0-113.127~18.04.1",
            "linux-headers-snapdragon-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-headers-oem-osp1": "5.4.0.113.127~18.04.97",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-image-5.4.0-113-generic-lpae": "5.4.0-113.127~18.04.1",
            "linux-hwe-5.4-source-5.4.0": "5.4.0-113.127~18.04.1",
            "linux-headers-generic-lpae-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-headers-virtual-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-tools-oem-osp1": "5.4.0.113.127~18.04.97",
            "linux-modules-extra-virtual-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-oem-osp1": "5.4.0.113.127~18.04.97",
            "linux-image-unsigned-5.4.0-113-lowlatency": "5.4.0-113.127~18.04.1",
            "linux-headers-5.4.0-113-lowlatency": "5.4.0-113.127~18.04.1",
            "linux-tools-oem": "5.4.0.113.127~18.04.97",
            "linux-tools-generic-lpae-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-cloud-tools-5.4.0-113-lowlatency": "5.4.0-113.127~18.04.1",
            "linux-hwe-5.4-tools-common": "5.4.0-113.127~18.04.1",
            "linux-virtual-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-image-oem": "5.4.0.113.127~18.04.97",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-virtual-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-tools-5.4.0-113-lowlatency": "5.4.0-113.127~18.04.1",
            "linux-image-generic-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-modules-5.4.0-113-lowlatency": "5.4.0-113.127~18.04.1",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-image-virtual-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-tools-virtual-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-tools-5.4.0-113-generic-lpae": "5.4.0-113.127~18.04.1",
            "linux-headers-generic-lpae-hwe-18.04-edge": "5.4.0.113.127~18.04.97",
            "linux-image-snapdragon-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-cloud-tools-5.4.0-113-generic": "5.4.0-113.127~18.04.1",
            "linux-image-oem-osp1": "5.4.0.113.127~18.04.97",
            "linux-hwe-5.4-headers-5.4.0-113": "5.4.0-113.127~18.04.1",
            "linux-tools-generic-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-buildinfo-5.4.0-113-generic-lpae": "5.4.0-113.127~18.04.1",
            "linux-tools-snapdragon-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.113.127~18.04.97",
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.113.127~18.04.97"
        }
    ]
}

Ubuntu:18.04:LTS / linux-aws-5.4

Package

Name
linux-aws-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1075.80~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-5.4.0-1075-aws": "5.4.0-1075.80~18.04.1",
            "linux-image-unsigned-5.4.0-1075-aws": "5.4.0-1075.80~18.04.1",
            "linux-image-aws-edge": "5.4.0.1075.57",
            "linux-cloud-tools-5.4.0-1075-aws": "5.4.0-1075.80~18.04.1",
            "linux-image-5.4.0-1075-aws": "5.4.0-1075.80~18.04.1",
            "linux-tools-5.4.0-1075-aws": "5.4.0-1075.80~18.04.1",
            "linux-headers-aws": "5.4.0.1075.57",
            "linux-modules-extra-5.4.0-1075-aws": "5.4.0-1075.80~18.04.1",
            "linux-headers-5.4.0-1075-aws": "5.4.0-1075.80~18.04.1",
            "linux-image-aws": "5.4.0.1075.57",
            "linux-aws": "5.4.0.1075.57",
            "linux-headers-aws-edge": "5.4.0.1075.57",
            "linux-modules-extra-aws": "5.4.0.1075.57",
            "linux-modules-extra-aws-edge": "5.4.0.1075.57",
            "linux-tools-aws-edge": "5.4.0.1075.57",
            "linux-aws-5.4-tools-5.4.0-1075": "5.4.0-1075.80~18.04.1",
            "linux-aws-edge": "5.4.0.1075.57",
            "linux-aws-5.4-cloud-tools-5.4.0-1075": "5.4.0-1075.80~18.04.1",
            "linux-buildinfo-5.4.0-1075-aws": "5.4.0-1075.80~18.04.1",
            "linux-aws-5.4-headers-5.4.0-1075": "5.4.0-1075.80~18.04.1",
            "linux-tools-aws": "5.4.0.1075.57"
        }
    ]
}

Ubuntu:18.04:LTS / linux-gke-5.4

Package

Name
linux-gke-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1072.77~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-gke-5.4-tools-5.4.0-1072": "5.4.0-1072.77~18.04.1",
            "linux-gke-5.4": "5.4.0.1072.77~18.04.35",
            "linux-modules-5.4.0-1072-gke": "5.4.0-1072.77~18.04.1",
            "linux-gke-5.4-headers-5.4.0-1072": "5.4.0-1072.77~18.04.1",
            "linux-headers-5.4.0-1072-gke": "5.4.0-1072.77~18.04.1",
            "linux-tools-5.4.0-1072-gke": "5.4.0-1072.77~18.04.1",
            "linux-modules-extra-5.4.0-1072-gke": "5.4.0-1072.77~18.04.1",
            "linux-tools-gke-5.4": "5.4.0.1072.77~18.04.35",
            "linux-image-5.4.0-1072-gke": "5.4.0-1072.77~18.04.1",
            "linux-headers-gke-5.4": "5.4.0.1072.77~18.04.35",
            "linux-image-unsigned-5.4.0-1072-gke": "5.4.0-1072.77~18.04.1",
            "linux-modules-extra-gke-5.4": "5.4.0.1072.77~18.04.35",
            "linux-buildinfo-5.4.0-1072-gke": "5.4.0-1072.77~18.04.1",
            "linux-image-gke-5.4": "5.4.0.1072.77~18.04.35"
        }
    ]
}

Ubuntu:18.04:LTS / linux-azure-5.4

Package

Name
linux-azure-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1080.83~18.04.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-azure-edge": "5.4.0.1080.59",
            "linux-image-unsigned-5.4.0-1080-azure": "5.4.0-1080.83~18.04.2",
            "linux-image-5.4.0-1080-azure": "5.4.0-1080.83~18.04.2",
            "linux-modules-extra-azure": "5.4.0.1080.59",
            "linux-signed-image-azure": "5.4.0.1080.59",
            "linux-cloud-tools-5.4.0-1080-azure": "5.4.0-1080.83~18.04.2",
            "linux-azure-5.4-tools-5.4.0-1080": "5.4.0-1080.83~18.04.2",
            "linux-azure": "5.4.0.1080.59",
            "linux-signed-azure": "5.4.0.1080.59",
            "linux-modules-extra-5.4.0-1080-azure": "5.4.0-1080.83~18.04.2",
            "linux-azure-5.4-headers-5.4.0-1080": "5.4.0-1080.83~18.04.2",
            "linux-buildinfo-5.4.0-1080-azure": "5.4.0-1080.83~18.04.2",
            "linux-headers-azure": "5.4.0.1080.59",
            "linux-tools-azure-edge": "5.4.0.1080.59",
            "linux-cloud-tools-azure": "5.4.0.1080.59",
            "linux-tools-azure": "5.4.0.1080.59",
            "linux-tools-5.4.0-1080-azure": "5.4.0-1080.83~18.04.2",
            "linux-headers-5.4.0-1080-azure": "5.4.0-1080.83~18.04.2",
            "linux-cloud-tools-azure-edge": "5.4.0.1080.59",
            "linux-azure-5.4-cloud-tools-5.4.0-1080": "5.4.0-1080.83~18.04.2",
            "linux-image-azure": "5.4.0.1080.59",
            "linux-image-azure-edge": "5.4.0.1080.59",
            "linux-signed-azure-edge": "5.4.0.1080.59",
            "linux-signed-image-azure-edge": "5.4.0.1080.59",
            "linux-headers-azure-edge": "5.4.0.1080.59",
            "linux-modules-5.4.0-1080-azure": "5.4.0-1080.83~18.04.2",
            "linux-modules-extra-azure-edge": "5.4.0.1080.59"
        }
    ]
}